%define _jarsign_opts --nocopy

%define as_major 5
%define as_minor 2
%define as_rev 0

Summary:        JBoss AS TP licenses
Name:           jbossas-web-tp-licenses
Version:        %{as_major}.%{as_minor}.%{as_rev}
Release:        8%{?dist}
Epoch:          0
License:        LGPL
Group:          Development/Installer
URL:            http://www.jboss.org/

BuildRequires: jbossas-tp-mead >= 0:%{as_major}.%{as_minor}.%{as_rev}
BuildRequires: unzip

BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:     noarch

%description
This package contains additional TP licenses from JBoss AS

%prep

%build
unzip %{_javadir}/jbossas-fordev/jboss-as-thirdparty-%{version}*-thirdparty.zip jboss-as-thirdparty-%{version}*/licenses/*

%install
rm -rf $RPM_BUILD_ROOT

install -d -m 755 $RPM_BUILD_ROOT%{_docdir}/jbossas-web-%{version}/licenses
install -m 644 jboss-as-thirdparty-%{version}*/licenses/* $RPM_BUILD_ROOT%{_docdir}/jbossas-web-%{version}/licenses/
rm $RPM_BUILD_ROOT%{_docdir}/jbossas-web-%{version}/licenses/GNU\ LESSER\ GENERAL\ PUBLIC\ LICENSE\ -\ lgpl.txt

%files
%defattr(0644,root,root,0755)
%dir %{_docdir}/jbossas-web-%{version}
%dir %{_docdir}/jbossas-web-%{version}/licenses
%{_docdir}/jbossas-web-%{version}/*

%changelog
* Thu Nov 15 2012 Permaine Cheung <pcheung@redhat.com> 5.2.0-8
- Rebuild

* Thu Nov 15 2012 Hui Wang <huwang@redhat.com> 5.2.0-7
- Rebuild for EAP 5.2.0.ER5

* Fri Nov 02 2012 Hui Wang <huwang@redhat.com> 5.2.0-6
- Rebuild for EAP 5.2.0.ER4

* Fri Oct 10 2012 Hui Wang <huwang@redhat.com> 5.2.0-5
- Upgrade to 5.2.0.ER3

* Sat Sep 01 2012 Martha Benitez <mbenitez@redhat.com> 5.2.0-4
- Upgrade to 5.2.0.ER2

* Wed Aug 22 2012 Martha Benitez <mbenitez@redhat.com> 5.2.0-3
- Rebuild to get jopr-embedded

* Tue Aug 21 2012 Martha Benitez <mbenitez@redhat.com> 5.2.0-2
- Rebuild

* Tue Aug 21 2012 Martha Benitez <mbenitez@redhat.com> 5.2.0-1
- Upgrade to 5.2.0

* Mon Nov 07 2011 Martha Benitez <mbenitez@redhat.com> 5.1.2-6
- Rebuild

* Thu Nov 03 2011 Martha Benitez <mbenitez@redhat.com> 5.1.2-5
- 5.1.2 ER2

* Mon Sep 19 2011 Martha Benitez <mbenitez@redhat.com> 5.1.2-3
- Rebuild

* Wed Sep 14 2011 Permaine Cheung <pcheung@redhat.com> 5.1.2-2
- Rebuild

* Wed Aug 17 2011 Permaine Cheung <pcheung@redhat.com> 5.1.2-1
- 5.1.2 build
- Remove case-insensitive dup license file

* Wed Jun 15 2011 Permaine Cheung <pcheung@redhat.com> 5.1.1-1
- First release
